Debian Bug report logs - #506498
dpkg: fails with "package has status installed but triggers are awaited"

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Raj Kiran Grandhi <grajkiran@gmail.com>

Date: Sat, 22 Nov 2008 02:03:01 UTC

Severity: normal

Tags: unreproducible

Found in version dpkg/1.14.23

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, grajkiran@gmail.com, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sat, 22 Nov 2008 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raj Kiran Grandhi <grajkiran@gmail.com>:
New Bug report received and forwarded. Copy sent to grajkiran@gmail.com, Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Nov 2008 02:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raj Kiran Grandhi <grajkiran@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sat, 22 Nov 2008 07:28:28 +0530
Package: dpkg
Version: 1.14.23
Severity: normal

dpkg fails complaining about the following parse error in the `status' file.


# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 27 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
dpkg: parse error, in file `/var/lib/dpkg/status' near line 2881 package `python-4suite-xml':
 package has status installed but triggers are awaited
E: Sub-process /usr/bin/dpkg returned an error code (2)
#

The relevant portion of apt's term.log:

====
Log started: 2008-11-21  18:34:54
(Reading database ... 283360 files and directories currently installed.)
Preparing to replace dpkg 1.14.22 (using .../archives/dpkg_1.14.23_i386.deb) ...
Unpacking replacement dpkg ...
Log ended: 2008-11-21  18:35:26

Log started: 2008-11-21  18:36:06
dpkg: parse error, in file `/var/lib/dpkg/status' near line 2881 package `python
-4suite-xml':
 package has status installed but triggers are awaited
Log ended: 2008-11-21  18:36:07
====

Following the error, dpkg is unusable with every invocation resulting in
the above error.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sat, 22 Nov 2008 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Nov 2008 13:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 506498@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Raj Kiran Grandhi <grajkiran@gmail.com>, 506498@bugs.debian.org
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sat, 22 Nov 2008 14:13:41 +0100
severity 506498 serious
thanks

On Sat, 22 Nov 2008, Raj Kiran Grandhi wrote:
> Package: dpkg
> Version: 1.14.23
> Severity: normal
> 
> dpkg fails complaining about the following parse error in the `status' file.

Please send us a copy of the status file and of any file in
/var/lib/dpkg/updates/.

> ====
> Log started: 2008-11-21  18:34:54
> (Reading database ... 283360 files and directories currently installed.)
> Preparing to replace dpkg 1.14.22 (using .../archives/dpkg_1.14.23_i386.deb) ...
> Unpacking replacement dpkg ...
> Log ended: 2008-11-21  18:35:26
> 
> Log started: 2008-11-21  18:36:06
> dpkg: parse error, in file `/var/lib/dpkg/status' near line 2881 package `python
> -4suite-xml':
>  package has status installed but triggers are awaited
> Log ended: 2008-11-21  18:36:07
> ====

Was there nothing else before this that could explain how the package
python-4suite-xml got into this inconsistent state ?

Please show us /var/log/dpkg.log.

> Following the error, dpkg is unusable with every invocation resulting in
> the above error.

I'll tell you more how to get out of this when you have sent us the
relevant files. Most probably removing the Triggers-Awaited line
concerning python-4suite-xml in the status file should be enough.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Severity set to `serious' from `normal' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sat, 22 Nov 2008 13:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sat, 22 Nov 2008 13:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raj Kiran Grandhi <grajkiran@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Nov 2008 13:54:16 GMT) Full text and rfc822 format available.

Message #17 received at 506498@bugs.debian.org (full text, mbox):

From: Raj Kiran Grandhi <grajkiran@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 506498@bugs.debian.org
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sat, 22 Nov 2008 19:21:38 +0530
[Message part 1 (text/plain, inline)]
Raphael Hertzog wrote:
> severity 506498 serious
> thanks
> 
> On Sat, 22 Nov 2008, Raj Kiran Grandhi wrote:
>> Package: dpkg
>> Version: 1.14.23
>> Severity: normal
>>
>> dpkg fails complaining about the following parse error in the `status' file.
> 
> Please send us a copy of the status file and of any file in
> /var/lib/dpkg/updates/.

I am attaching the status file. There are 34 packages with the 
"Triggers-Awaited:" tag. There are no files in /var/lib/dpkg/updates.

> 
>> ====
>> Log started: 2008-11-21  18:34:54
>> (Reading database ... 283360 files and directories currently installed.)
>> Preparing to replace dpkg 1.14.22 (using .../archives/dpkg_1.14.23_i386.deb) ...
>> Unpacking replacement dpkg ...
>> Log ended: 2008-11-21  18:35:26
>>
>> Log started: 2008-11-21  18:36:06
>> dpkg: parse error, in file `/var/lib/dpkg/status' near line 2881 package `python
>> -4suite-xml':
>>  package has status installed but triggers are awaited
>> Log ended: 2008-11-21  18:36:07
>> ====
> 
> Was there nothing else before this that could explain how the package
> python-4suite-xml got into this inconsistent state ?
> 
> Please show us /var/log/dpkg.log.

I have attached the same.

> 
>> Following the error, dpkg is unusable with every invocation resulting in
>> the above error.
> 
> I'll tell you more how to get out of this when you have sent us the
> relevant files. Most probably removing the Triggers-Awaited line
> concerning python-4suite-xml in the status file should be enough.

Just did that but still dpkg complains of the same problem albeit for a 
different package (libhtml-format-perl this time), so I do not think it 
is a problem with one specific mis-behaving package.

Will it be too invasive if I remove all the 34 "Triggers-Awaited" lines? 
What files should I backup before doing this?

Thanks,
Raj Kiran

PS: Apologies if this message is received twice.

> 
> Cheers,
[dpkg.log.gz (application/x-gzip, inline)]
[status.gz (application/x-gzip, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sat, 22 Nov 2008 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Nov 2008 17:27:04 GMT) Full text and rfc822 format available.

Message #22 received at 506498@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Raj Kiran Grandhi <grajkiran@gmail.com>, 506498@bugs.debian.org
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sat, 22 Nov 2008 18:22:39 +0100
On Sat, 22 Nov 2008, Raj Kiran Grandhi wrote:
> Just did that but still dpkg complains of the same problem albeit for a  
> different package (libhtml-format-perl this time), so I do not think it  
> is a problem with one specific mis-behaving package.
>
> Will it be too invasive if I remove all the 34 "Triggers-Awaited" lines?  

No, it's fine.

> What files should I backup before doing this?

None.


The weird thing is that it looks like that only dpkg 1.14.23
causes you trouble and not 1.14.22. But the code that deals with
lonely Triggers-Awaited dates back to Mon Aug 11 (commit
587b8d8696cb92a4a18901085db033d44bfe6f32) and dpkg 1.14.21.
I don't see what changes could explain that the error now gets noticed
when it wasn't before. And the package that had those fields were not
recently updated either.

I can certainly get a failure with 1.14.22 if I add Triggers-Awaited
fields to packages that are marked as installed. So how is it possible
that you were using dpkg 1.14.22 without troubles yesterday and that now
you have a borked status file exactly when you upgrade to 1.14.23…

Did you do anything special recently that could have an impact on the
status of all those packages ?

Can you check if you already had all those Triggers-Awaited tags in the
previous days ? Check in the backups: /var/backups/dpkg.status.*

Maybe send us the one that corresponds to Nov 20th.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sat, 22 Nov 2008 17:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Nov 2008 17:57:07 GMT) Full text and rfc822 format available.

Message #27 received at 506498@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 506498@bugs.debian.org, Raj Kiran Grandhi <grajkiran@gmail.com>
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sat, 22 Nov 2008 18:53:29 +0100
On 2008-11-22 18:22 +0100, Raphael Hertzog wrote:

> The weird thing is that it looks like that only dpkg 1.14.23
> causes you trouble and not 1.14.22. But the code that deals with
> lonely Triggers-Awaited dates back to Mon Aug 11 (commit
> 587b8d8696cb92a4a18901085db033d44bfe6f32) and dpkg 1.14.21.
> I don't see what changes could explain that the error now gets noticed
> when it wasn't before. And the package that had those fields were not
> recently updated either.
>
> I can certainly get a failure with 1.14.22 if I add Triggers-Awaited
> fields to packages that are marked as installed. So how is it possible
> that you were using dpkg 1.14.22 without troubles yesterday and that now
> you have a borked status file exactly when you upgrade to 1.14.23…

There is another strange thing in Raj's dpkg log: packages never entered
a state of triggers-awaited or triggers-pending.  Compare that with my
system: 

,----
| % egrep -c 'triggers-(pending)|(awaited)' /var/log/dpkg.log
| 182
`----

And note that he had been running dpkg 1.14.19 in the first ten days of
this month before he upgraded to 1.14.22.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sat, 22 Nov 2008 18:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Nov 2008 18:51:11 GMT) Full text and rfc822 format available.

Message #32 received at 506498@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 506498@bugs.debian.org, Raj Kiran Grandhi <grajkiran@gmail.com>
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sat, 22 Nov 2008 19:46:29 +0100
On Sat, 22 Nov 2008, Sven Joachim wrote:
> On 2008-11-22 18:22 +0100, Raphael Hertzog wrote:
> 
> > The weird thing is that it looks like that only dpkg 1.14.23
> > causes you trouble and not 1.14.22. But the code that deals with
> > lonely Triggers-Awaited dates back to Mon Aug 11 (commit
> > 587b8d8696cb92a4a18901085db033d44bfe6f32) and dpkg 1.14.21.
> > I don't see what changes could explain that the error now gets noticed
> > when it wasn't before. And the package that had those fields were not
> > recently updated either.
> >
> > I can certainly get a failure with 1.14.22 if I add Triggers-Awaited
> > fields to packages that are marked as installed. So how is it possible
> > that you were using dpkg 1.14.22 without troubles yesterday and that now
> > you have a borked status file exactly when you upgrade to 1.14.23…
> 
> There is another strange thing in Raj's dpkg log: packages never entered
> a state of triggers-awaited or triggers-pending.

Right, Raj, did you configure apt in any strange way? Did you activate
the DPkg::NoTriggers option for example?

Please check /etc/apt/apt.conf and /etc/apt/apt.conf.d/*.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sat, 22 Nov 2008 19:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raj Kiran Grandhi <grajkiran@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Nov 2008 19:06:02 GMT) Full text and rfc822 format available.

Message #37 received at 506498@bugs.debian.org (full text, mbox):

From: Raj Kiran Grandhi <grajkiran@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 506498@bugs.debian.org
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sun, 23 Nov 2008 00:34:36 +0530
Raphael Hertzog wrote:
> On Sat, 22 Nov 2008, Raj Kiran Grandhi wrote:
>> Just did that but still dpkg complains of the same problem albeit for a  
>> different package (libhtml-format-perl this time), so I do not think it  
>> is a problem with one specific mis-behaving package.
>>
>> Will it be too invasive if I remove all the 34 "Triggers-Awaited" lines?  
> 
> No, it's fine.
> 
>> What files should I backup before doing this?
> 
> None.

Done. Removed all the Triggers-Awaited lines and now dpkg is happy :)
Thank you.

> 
> 
> The weird thing is that it looks like that only dpkg 1.14.23
> causes you trouble and not 1.14.22. But the code that deals with
> lonely Triggers-Awaited dates back to Mon Aug 11 (commit
> 587b8d8696cb92a4a18901085db033d44bfe6f32) and dpkg 1.14.21.
> I don't see what changes could explain that the error now gets noticed
> when it wasn't before. And the package that had those fields were not
> recently updated either.
> 
> I can certainly get a failure with 1.14.22 if I add Triggers-Awaited
> fields to packages that are marked as installed. So how is it possible
> that you were using dpkg 1.14.22 without troubles yesterday and that now
> you have a borked status file exactly when you upgrade to 1.14.23…

I think I faced this problem even with 1.14.22. I had attempted a 
dist-upgrade several days back. dpkg was one of the packages marked for 
upgrade and it crashed after being unpackd (I think). I did not pay much 
attention to the specific error message then. I had the older 
dpkg-1.14.22 deb lying around in /var/cache/apt/archives and I manually 
unpacked it into a temporary directory can copied over the dpkg 
executable to /usr/bin. So, the actual executable I had been using 
earlier was 1.14.21.

Sorry for the confusion.

> 
> Did you do anything special recently that could have an impact on the
> status of all those packages ?
> 
> Can you check if you already had all those Triggers-Awaited tags in the
> previous days ? Check in the backups: /var/backups/dpkg.status.*

Yes, all the backups have Triggers-Awaited tags. But, as I mentioned 
earlier, dpkg 1.14.21 was apparently ok with that.

> 
> Maybe send us the one that corresponds to Nov 20th.
> 
> Cheers,


-- 

If you can't explain it simply, you don't understand it well enough.
                                       -- Albert Einstein




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sat, 22 Nov 2008 19:12:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raj Kiran Grandhi <grajkiran@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Nov 2008 19:12:17 GMT) Full text and rfc822 format available.

Message #42 received at 506498@bugs.debian.org (full text, mbox):

From: Raj Kiran Grandhi <grajkiran@gmail.com>
To: Sven Joachim <svenjoac@gmx.de>
Cc: Raphael Hertzog <hertzog@debian.org>, 506498@bugs.debian.org
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sun, 23 Nov 2008 00:40:17 +0530
Sven Joachim wrote:
> On 2008-11-22 18:22 +0100, Raphael Hertzog wrote:
> 
>> The weird thing is that it looks like that only dpkg 1.14.23
>> causes you trouble and not 1.14.22. But the code that deals with
>> lonely Triggers-Awaited dates back to Mon Aug 11 (commit
>> 587b8d8696cb92a4a18901085db033d44bfe6f32) and dpkg 1.14.21.
>> I don't see what changes could explain that the error now gets noticed
>> when it wasn't before. And the package that had those fields were not
>> recently updated either.
>>
>> I can certainly get a failure with 1.14.22 if I add Triggers-Awaited
>> fields to packages that are marked as installed. So how is it possible
>> that you were using dpkg 1.14.22 without troubles yesterday and that now
>> you have a borked status file exactly when you upgrade to 1.14.23…
> 
> There is another strange thing in Raj's dpkg log: packages never entered
> a state of triggers-awaited or triggers-pending.  Compare that with my
> system: 
> 
> ,----
> | % egrep -c 'triggers-(pending)|(awaited)' /var/log/dpkg.log
> | 182
> `----
> 
> And note that he had been running dpkg 1.14.19 in the first ten days of
> this month before he upgraded to 1.14.22.

Again, I am sorry for the version confusion. Please see my other reply. 
I never really used 1.14.22 on my system. The 1.14.22 in the status file 
and the logs was actually 1.14.21 which apparently did not complain 
about the triggers.

For now, I have removed all the Triggers-Awaited lines and the problem 
appears to have gone.

I shall be happy to provide any other info that may be required.

Thank you,
Raj Kiran

> 
> Sven






Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sun, 23 Nov 2008 09:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 23 Nov 2008 09:21:08 GMT) Full text and rfc822 format available.

Message #47 received at 506498@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Raj Kiran Grandhi <grajkiran@gmail.com>
Cc: Sven Joachim <svenjoac@gmx.de>, 506498@bugs.debian.org
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sun, 23 Nov 2008 10:19:41 +0100
On Sun, 23 Nov 2008, Raj Kiran Grandhi wrote:
> Again, I am sorry for the version confusion. Please see my other reply.  
> I never really used 1.14.22 on my system. The 1.14.22 in the status file  
> and the logs was actually 1.14.21 which apparently did not complain  
> about the triggers.

Are you sure it's really 1.14.21 and not 1.14.19 (the one that was
previously installed) or even an older version ?

1.14.21 is the first version that should remove the Trigger-Awaited lines
by itself if there's no corresponding Triggers-Pending entry in the package
providing the trigger. But all versions of dpkg (that are trigger-aware at
least, ie > 1.14.17) would fail with a status file like you had (i.e.
packages marked as installed but containing Triggers-Awaited lines).

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sun, 23 Nov 2008 10:38:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raj Kiran Grandhi <grajkiran@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 23 Nov 2008 10:38:38 GMT) Full text and rfc822 format available.

Message #52 received at 506498@bugs.debian.org (full text, mbox):

From: Raj Kiran Grandhi <grajkiran@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Sven Joachim <svenjoac@gmx.de>, 506498@bugs.debian.org
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sun, 23 Nov 2008 15:54:05 +0530
Raphael Hertzog wrote:
> On Sun, 23 Nov 2008, Raj Kiran Grandhi wrote:
>> Again, I am sorry for the version confusion. Please see my other reply.  
>> I never really used 1.14.22 on my system. The 1.14.22 in the status file  
>> and the logs was actually 1.14.21 which apparently did not complain  
>> about the triggers.
> 
> Are you sure it's really 1.14.21 and not 1.14.19 (the one that was
> previously installed) or even an older version ?

I guess it could be 1.14.19, I am not very sure. It is definitely not 
1.14.22 and very unlikely that it is older than 1.14.19.

I had been postponing a dist-upgrade for several months and apt is 
configured to just download updates without installing. I had picked the 
previous version lying in the archive cache and used it.

> 
> 1.14.21 is the first version that should remove the Trigger-Awaited lines
> by itself if there's no corresponding Triggers-Pending entry in the package
> providing the trigger. But all versions of dpkg (that are trigger-aware at
> least, ie > 1.14.17) would fail with a status file like you had (i.e.
> packages marked as installed but containing Triggers-Awaited lines).
> 
> Cheers,


-- 

If you can't explain it simply, you don't understand it well enough.
                                       -- Albert Einstein




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#506498; Package dpkg. (Sun, 23 Nov 2008 16:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 23 Nov 2008 16:12:03 GMT) Full text and rfc822 format available.

Message #57 received at 506498@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Raj Kiran Grandhi <grajkiran@gmail.com>, 506498@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Sun, 23 Nov 2008 17:08:14 +0100
severity 506498 normal
retitle 506498 dpkg: fails with "package has status installed but triggers are awaited"
tag 506498 unreproducible
thanks

On Sun, 23 Nov 2008, Raj Kiran Grandhi wrote:
> I guess it could be 1.14.19, I am not very sure. It is definitely not  
> 1.14.22 and very unlikely that it is older than 1.14.19.

Well, since I can't identify clearly how this happened I'll set the
severity back to important/normal and mark it as unreproducible.
Maybe someone else will experience it too. If not, we'll close the bug
later.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Severity set to `normal' from `serious' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 23 Nov 2008 16:12:06 GMT) Full text and rfc822 format available.

Changed Bug title to `dpkg: fails with "package has status installed but triggers are awaited"' from `dpkg fails with parse error in /var/lib/dpkg/status'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 23 Nov 2008 16:12:07 GMT) Full text and rfc822 format available.

Tags added: unreproducible Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 23 Nov 2008 16:12:07 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Fri, 09 Jan 2009 19:57:03 GMT) Full text and rfc822 format available.

Notification sent to Raj Kiran Grandhi <grajkiran@gmail.com>:
Bug acknowledged by developer. (Fri, 09 Jan 2009 19:57:03 GMT) Full text and rfc822 format available.

Message #68 received at 506498-done@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 506498-done@bugs.debian.org
Cc: Raj Kiran Grandhi <grajkiran@gmail.com>, Sven Joachim <svenjoac@gmx.de>
Subject: Re: Bug#506498: dpkg fails with parse error in /var/lib/dpkg/status
Date: Fri, 9 Jan 2009 21:55:54 +0200
Hi!

On Sun, 2008-11-23 at 17:08:14 +0100, Raphael Hertzog wrote:
> severity 506498 normal
> retitle 506498 dpkg: fails with "package has status installed but triggers are awaited"
> tag 506498 unreproducible
> thanks
> 
> On Sun, 23 Nov 2008, Raj Kiran Grandhi wrote:
> > I guess it could be 1.14.19, I am not very sure. It is definitely not  
> > 1.14.22 and very unlikely that it is older than 1.14.19.
> 
> Well, since I can't identify clearly how this happened I'll set the
> severity back to important/normal and mark it as unreproducible.

More so when the dpkg had been manually extracted and copied over.

> Maybe someone else will experience it too. If not, we'll close the bug
> later.

As no one else reported anything similar meanwhile, I'm going to go
ahead and close this now.

regards,
guillem




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Feb 2009 07:31:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:30:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.